it.reply.healty.innovapuglia.mstaccuino.service

## Class TaccuinoBusinessService

- java.lang.Object
- - it.reply.healty.innovapuglia.mstaccuino.service.TaccuinoBusinessService

- All Implemented Interfaces:
    ITaccuino

      @Component
      public class TaccuinoBusinessService
      extends Object
      implements ITaccuino

  Servizio di business che implementa le varie operazioni esposte dal servizio SOAP ITaccuino
  Author:
    Fabio Frijo

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TaccuinoBusinessService()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AddDetectionResponse` | `addDetection(AddDetectionRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addDetection`
    `AddDocumentResponse` | `addDocument(AddDocumentRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addDocument`
    `AddDrugResponse` | `addDrug(AddDrugRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addDrug`
    `AddEventResponse` | `addEvent(AddEventRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addEvent`
    `AddHealthcareContactResponse` | `addHealthcareContact(AddHealthcareContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addHealthcareContact`
    `AddNoteResponse` | `addNote(AddNoteRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addNote`
    `AddOtherContactResponse` | `addOtherContact(AddOtherContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addOtherContact`
    `AddOtherProductResponse` | `addOtherProduct(AddOtherProductRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addOtherProduct`
    `AddPainResponse` | `addPain(AddPainRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addPain`
    `AddProsthesisAidResponse` | `addProsthesisAid(AddProsthesisAidRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addProsthesisAid`
    `AddSymptomResponse` | `addSymptom(AddSymptomRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addSymptom`
    `AddTravelPersonalInfoResponse` | `addTravelPersonalInfo(AddTravelPersonalInfoRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `addTravelPersonalInfo`
    `DeleteDetectionResponse` | `deleteDetection(DeleteDetectionRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDetection`
    `DeleteDocumentResponse` | `deleteDocument(DeleteDocumentRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDocument`
    `DeleteDrugResponse` | `deleteDrug(DeleteDrugRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDrug`
    `DeleteEventResponse` | `deleteEvent(DeleteEventRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteEvent`
    `DeleteHealthcareContactResponse` | `deleteHealthcareContact(DeleteHealthcareContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteHealthcareContact`
    `DeleteNoteResponse` | `deleteNote(DeleteNoteRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteNote`
    `DeleteOtherContactResponse` | `deleteOtherContact(DeleteOtherContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteHealthcareContact`
    `DeleteOtherProductResponse` | `deleteOtherProduct(DeleteOtherProductRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteOtherProduct`
    `DeletePainResponse` | `deletePain(DeletePainRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deletePain`
    `DeleteProsthesisAidResponse` | `deleteProsthesisAid(DeleteProsthesisAidRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteProsthesisAid`
    `DeleteSymptomResponse` | `deleteSymptom(DeleteSymptomRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteSymptom`
    `DeleteTravelPersonalInfoResponse` | `deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteTravelPersonalInfo`
    `DownloadDocumentResponse` | `downloadDocument(DownloadDocumentRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `downloadDocument`
    `GetNoteListResponse` | `getNoteList(GetNoteListRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `getNoteList`
    `UpdateDetectionResponse` | `updateDetection(UpdateDetectionRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDetection`
    `UpdateDocumentResponse` | `updateDocument(UpdateDocumentRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDocument`
    `UpdateDrugResponse` | `updateDrug(UpdateDrugRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDrug`
    `UpdateEventResponse` | `updateEvent(UpdateEventRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateEvent`
    `UpdateHealthcareContactResponse` | `updateHealthcareContact(UpdateHealthcareContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateHealthcareContact`
    `UpdateNoteResponse` | `updateNote(UpdateNoteRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateNote`
    `UpdateOtherContactResponse` | `updateOtherContact(UpdateOtherContactRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateOtherContact`
    `UpdateOtherProductResponse` | `updateOtherProduct(UpdateOtherProductRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateOtherProduct`
    `UpdatePainResponse` | `updatePain(UpdatePainRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updatePain`
    `UpdateProsthesisAidResponse` | `updateProsthesisAid(UpdateProsthesisAidRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateProsthesisAid`
    `UpdateSymptomResponse` | `updateSymptom(UpdateSymptomRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateSymptom`
    `UpdateTravelPersonalInfoResponse` | `updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)` Metodo di implementazione della logica di business collegata all'operazione SOAP `updateTravelPersonalInfo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TaccuinoBusinessService

          public TaccuinoBusinessService()

  - ### Method Detail

    - #### addDocument

          public AddDocumentResponse addDocument(AddDocumentRequest request)
                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addDocument`
      Specified by:
        `addDocument` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteDocument

          public DeleteDocumentResponse deleteDocument(DeleteDocumentRequest request)
                                                throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDocument`
      Specified by:
        `deleteDocument` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### downloadDocument

          public DownloadDocumentResponse downloadDocument(DownloadDocumentRequest request)
                                                    throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `downloadDocument`
      Specified by:
        `downloadDocument` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### updateDocument

          public UpdateDocumentResponse updateDocument(UpdateDocumentRequest request)
                                                throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDocument`
      Specified by:
        `updateDocument` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### addNote

          public AddNoteResponse addNote(AddNoteRequest request)
                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addNote`
      Specified by:
        `addNote` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### deleteNote

          public DeleteNoteResponse deleteNote(DeleteNoteRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteNote`
      Specified by:
        `deleteNote` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### getNoteList

          public GetNoteListResponse getNoteList(GetNoteListRequest request)
                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `getNoteList`
      Specified by:
        `getNoteList` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### updateNote

          public UpdateNoteResponse updateNote(UpdateNoteRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateNote`
      Specified by:
        `updateNote` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### addDetection

          public AddDetectionResponse addDetection(AddDetectionRequest request)
                                            throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addDetection`
      Specified by:
        `addDetection` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### deleteDetection

          public DeleteDetectionResponse deleteDetection(DeleteDetectionRequest request)
                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDetection`
      Specified by:
        `deleteDetection` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'e' un errore bloccante e va lanciata un SOAP Fault

    - #### deleteDrug

          public DeleteDrugResponse deleteDrug(DeleteDrugRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteDrug`
      Specified by:
        `deleteDrug` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteEvent

          public DeleteEventResponse deleteEvent(DeleteEventRequest request)
                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteEvent`
      Specified by:
        `deleteEvent` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteHealthcareContact

          public DeleteHealthcareContactResponse deleteHealthcareContact(DeleteHealthcareContactRequest request)
                                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteHealthcareContact`
      Specified by:
        `deleteHealthcareContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteOtherContact

          public DeleteOtherContactResponse deleteOtherContact(DeleteOtherContactRequest request)
                                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteHealthcareContact`
      Specified by:
        `deleteOtherContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteOtherProduct

          public DeleteOtherProductResponse deleteOtherProduct(DeleteOtherProductRequest request)
                                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteOtherProduct`
      Specified by:
        `deleteOtherProduct` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deletePain

          public DeletePainResponse deletePain(DeletePainRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deletePain`
      Specified by:
        `deletePain` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteProsthesisAid

          public DeleteProsthesisAidResponse deleteProsthesisAid(DeleteProsthesisAidRequest request)
                                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteProsthesisAid`
      Specified by:
        `deleteProsthesisAid` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteSymptom

          public DeleteSymptomResponse deleteSymptom(DeleteSymptomRequest request)
                                              throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteSymptom`
      Specified by:
        `deleteSymptom` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### deleteTravelPersonalInfo

          public DeleteTravelPersonalInfoResponse deleteTravelPersonalInfo(DeleteTravelPersonalInfoRequest request)
                                                                    throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `deleteTravelPersonalInfo`
      Specified by:
        `deleteTravelPersonalInfo` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateDetection

          public UpdateDetectionResponse updateDetection(UpdateDetectionRequest request)
                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDetection`
      Specified by:
        `updateDetection` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateDrug

          public UpdateDrugResponse updateDrug(UpdateDrugRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateDrug`
      Specified by:
        `updateDrug` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateEvent

          public UpdateEventResponse updateEvent(UpdateEventRequest request)
                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateEvent`
      Specified by:
        `updateEvent` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateHealthcareContact

          public UpdateHealthcareContactResponse updateHealthcareContact(UpdateHealthcareContactRequest request)
                                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateHealthcareContact`
      Specified by:
        `updateHealthcareContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateOtherContact

          public UpdateOtherContactResponse updateOtherContact(UpdateOtherContactRequest request)
                                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateOtherContact`
      Specified by:
        `updateOtherContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateOtherProduct

          public UpdateOtherProductResponse updateOtherProduct(UpdateOtherProductRequest request)
                                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateOtherProduct`
      Specified by:
        `updateOtherProduct` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updatePain

          public UpdatePainResponse updatePain(UpdatePainRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updatePain`
      Specified by:
        `updatePain` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateProsthesisAid

          public UpdateProsthesisAidResponse updateProsthesisAid(UpdateProsthesisAidRequest request)
                                                          throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateProsthesisAid`
      Specified by:
        `updateProsthesisAid` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateSymptom

          public UpdateSymptomResponse updateSymptom(UpdateSymptomRequest request)
                                              throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateSymptom`
      Specified by:
        `updateSymptom` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### updateTravelPersonalInfo

          public UpdateTravelPersonalInfoResponse updateTravelPersonalInfo(UpdateTravelPersonalInfoRequest request)
                                                                    throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `updateTravelPersonalInfo`
      Specified by:
        `updateTravelPersonalInfo` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addDrug

          public AddDrugResponse addDrug(AddDrugRequest request)
                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addDrug`
      Specified by:
        `addDrug` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addEvent

          public AddEventResponse addEvent(AddEventRequest request)
                                    throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addEvent`
      Specified by:
        `addEvent` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addHealthcareContact

          public AddHealthcareContactResponse addHealthcareContact(AddHealthcareContactRequest request)
                                                            throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addHealthcareContact`
      Specified by:
        `addHealthcareContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addOtherContact

          public AddOtherContactResponse addOtherContact(AddOtherContactRequest request)
                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addOtherContact`
      Specified by:
        `addOtherContact` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addOtherProduct

          public AddOtherProductResponse addOtherProduct(AddOtherProductRequest request)
                                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addOtherProduct`
      Specified by:
        `addOtherProduct` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addPain

          public AddPainResponse addPain(AddPainRequest request)
                                  throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addPain`
      Specified by:
        `addPain` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addProsthesisAid

          public AddProsthesisAidResponse addProsthesisAid(AddProsthesisAidRequest request)
                                                    throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addProsthesisAid`
      Specified by:
        `addProsthesisAid` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addSymptom

          public AddSymptomResponse addSymptom(AddSymptomRequest request)
                                        throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addSymptom`
      Specified by:
        `addSymptom` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

    - #### addTravelPersonalInfo

          public AddTravelPersonalInfoResponse addTravelPersonalInfo(AddTravelPersonalInfoRequest request)
                                                              throws FaultException

      Metodo di implementazione della logica di business collegata all'operazione SOAP `addTravelPersonalInfo`
      Specified by:
        `addTravelPersonalInfo` in interface `ITaccuino`
      Parameters:
        `request` - L'oggetto di request del servizio SOAP
      Returns:
        L'oggetto di response del servizio SOAP
      Throws:
        `FaultException` - Quando c'è un errore bloccante e va lanciata un SOAP Fault

Copyright © 2024. All rights reserved.